Class | Shef::DoppelGangerClient
In: | lib/chef/shef/shef_session.rb
Parent: | Chef::Client

### Methods

build_node new register run_ohai

### Attributes

node_name | [R] |

### Public Class methods

new(node_name)

### Public Instance methods

build_node()

DoppelGanger implementation of build_node. preserves as many of the node‘s attributes, and does not save updates to the server

register()
run_ohai()

Run the very smallest amount of ohai we can get away with and still hope to have things work. Otherwise we‘re not very good doppelgangers

[Validate]